Bug 182230 - Empty page appears for http://www.webtoolkit.eu/wt
Summary: Empty page appears for http://www.webtoolkit.eu/wt
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: khtml (show other bugs)
Version: SVN
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-29 00:24 UTC by András Manţia
Modified: 2009-02-07 23:57 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
patch (w/some debug output that needs removing) (7.53 KB, patch)
2009-01-31 18:03 UTC, Maksim Orlovich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description András Manţia 2009-01-29 00:24:37 UTC
In Konqui http://www.webtoolkit.eu/wt  appears as an empty page (compare with Firefox for example).
Comment 1 Maksim Orlovich 2009-01-29 01:00:10 UTC
Have it fixed in my tree now,but too tried to pull out the diff.
Comment 2 Maksim Orlovich 2009-01-31 18:03:19 UTC
Created attachment 30789 [details]
patch (w/some debug output that needs removing)

The attached fixes it + makes a mthod name saner.
Comment 3 Maksim Orlovich 2009-02-07 23:44:41 UTC
SVN commit 922955 by orlovich:

Some fixes for our stylesheets collection to fix  http://www.webtoolkit.eu/wt:

1) Make sure that we create a stylesheet object even for empty <style> elements
2) Keep track of dirtiness of stylesheets list separately from that of the style selector,
and make sure to rebuild it if the collection is accessed. While I am at it, 
instead of having confusingly similarly named recalcStyleSelector and 
rebuildStyleSelector, have rebuildStyleSelector and rebuildStyleSheetList, 
the difference between which should be evident. Also make them private.
(Though updateStyleSelector is not renamed, so things aren't 100% clear, still)

BUG: 182230


 M  +15 -0     css/css_stylesheetimpl.cpp  
 M  +9 -1      css/css_stylesheetimpl.h  
 M  +11 -0     html/html_headimpl.cpp  
 M  +2 -0      html/html_headimpl.h  
 M  +27 -12    xml/dom_docimpl.cpp  
 M  +8 -2      xml/dom_docimpl.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=922955
Comment 4 Maksim Orlovich 2009-02-07 23:52:18 UTC
SVN commit 922959 by orlovich:

Merged revision 922955:
Some fixes for our stylesheets collection to fix  http://www.webtoolkit.eu/wt:

1) Make sure that we create a stylesheet object even for empty <style> elements
2) Keep track of dirtiness of stylesheets list separately from that of the style selector,
and make sure to rebuild it if the collection is accessed. While I am at it, 
instead of having confusingly similarly named recalcStyleSelector and 
rebuildStyleSelector, have rebuildStyleSelector and rebuildStyleSheetList, 
the difference between which should be evident. Also make them private.
(Though updateStyleSelector is not renamed, so things aren't 100% clear, still)

BUG: 182230

 M  +15 -0     css/css_stylesheetimpl.cpp  
 M  +9 -1      css/css_stylesheetimpl.h  
 M  +11 -0     html/html_headimpl.cpp  
 M  +2 -0      html/html_headimpl.h  
 M  +27 -12    xml/dom_docimpl.cpp  
 M  +8 -2      xml/dom_docimpl.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=922959
Comment 5 Maksim Orlovich 2009-02-07 23:57:31 UTC
SVN commit 922964 by orlovich:

Regression test for #182230

CCBUG:182230


 A             baseline/ecma/stylesheet-collection.html-dom  
 AM            baseline/ecma/stylesheet-collection.html-dump.png  
 A             baseline/ecma/stylesheet-collection.html-render  
 A             tests/ecma/empty.css  
 A             tests/ecma/stylesheet-collection.html  


WebSVN link: http://websvn.kde.org/?view=rev&revision=922964